Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86378 - 'Content section' link in breadcrumb trail produces CCM error
Summary: 'Content section' link in breadcrumb trail produces CCM error
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other
Version: nightly
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Justin Ross
QA Contact: Jon Orris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-20 21:35 UTC by Jon Orris
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-03 20:43:08 UTC


Attachments (Terms of Use)

Description Jon Orris 2003-03-20 21:35:54 UTC
Clicking on the 'Content section' link in the breadcrumb trail produces a CCM error.

CCM issue report code: localhost:8080:7d6b0a97:f40d55476a

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: localhost:8080:7d6b0a97:f40d55476a -*-*-*-
-*-*-*- Message: current Object is null!  -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate,compress;q=0.9
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: JSESSIONID=a3gJ8PcEteIc;
ad_user_login=143002!1142803601862!70UTmtJvDpcnBLF0Mv45sQ==
Host: localhost:8080
Keep-Alive: 300
Referer:
http://localhost:8080/ccm/articles/admin/item.jsp?item_id=160005&set_tab=1&g11n.enc=ISO-8859-1
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: a3gJ8PcEteIc (expires: -1)
ad_user_login: 143002!1142803601862!70UTmtJvDpcnBLF0Mv45sQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.IllegalStateException: current Object is null! 
	at
com.arsdigita.cms.ui.permissions.CMSPermissionsPane.showAdmin(CMSPermissionsPane.java:405)
	at
com.arsdigita.cms.ui.permissions.CMSPermissionsPane.reset(CMSPermissionsPane.java:169)
	at com.arsdigita.cms.ui.BrowsePane.stateChanged(BrowsePane.java:146)
	at
com.arsdigita.bebop.AbstractSingleSelectionModel.fireStateChanged(AbstractSingleSelectionModel.java:86)
	at
com.arsdigita.bebop.ParameterSingleSelectionModel.setSelectedKey(ParameterSingleSelectionModel.java:94)
	at
com.arsdigita.kernel.ui.ACSObjectSelectionModel.setSelectedKey(ACSObjectSelectionModel.java:255)
	at com.arsdigita.cms.ui.BrowsePane.setSelectedFolder(BrowsePane.java:111)
	at
com.arsdigita.cms.ui.ContentSectionPage$1.actionPerformed(ContentSectionPage.java:170)
	at com.arsdigita.bebop.Page.fireActionEvent(Page.java:858)
	at com.arsdigita.bebop.Page.process(Page.java:697)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:241)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:72)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:249)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:337)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:135)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:127)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:198)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/index.jsp
Query string: set_folder=161001&g11n.enc=ISO-8859-1
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/product/9.2.0.1/lib:/product/9.2.0.1/ctx/lib:/product/9.2.0.1/JRE/lib/i386/native_threads:/lib:/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.18-27.8.0
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-

Comment 1 Justin Ross 2003-03-21 19:04:07 UTC
I put in a fix in prtgotvr vhsnhr 28745, but it's not the fix, since the
functionality that takes you to the folder of the current content item is
disabled as a byproduct.

Comment 2 Justin Ross 2003-03-21 19:06:16 UTC
Sorry.  "prtgotvr vhsnhr" is off-by-one-qwerty for "perforce change".

Comment 3 Justin Ross 2003-04-03 20:43:08 UTC
I'm demoting this bug since it was fixed (via workaround).  The problem will
come back when we reenable the save-my-last-tab behavior.


Note You need to log in before you can comment on or make changes to this bug.